Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07225 Sound Minor Always Feb 8, 2019, 22:09 Feb 9, 2019, 14:27
Tester Kekule View Status Public Platform MAME (Unofficial Binary)
Assigned To Osso Resolution Fixed OS Other
Status [?] Resolved Driver snk6502.cpp
Version 0.206 Fixed in Version 0.207 Build 32-bit
Summary 07225: Most machines in snk6502.cpp: Music playing incorrectly
Description Music play quite wrong, example in vanguard the "energy" jingle and during the diagonal scrolling screens.
Seems to be a lot of stuck notes and whole voices of music not playing.
Steps To Reproduce Examples:
fantasyg - as soon as music starts and balloon goes into flight, stuck/missing notes
pballoon - music plays incorrect from the start
vanguard - play and pass thru the ENERGY
Additional Information
Flags
Regression Version 0.199
Affected Sets / Systems Most machines in snk6502.cpp
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.16120
Tafoid
Administrator
Feb 9, 2019, 02:03
Regression traced to June 2, 2018 work - one of 2 possible commits:
https://github.com/mamedev/mame/commit/9c34fccdeed911abee3980515089a819c8e81b1c
https://github.com/mamedev/mame/commit/e64244db48c2778c7fb6a2f69bab5fc13f63b524